Subject: GDB problems was: errno missing in link of wget
From: [email-masked] ("Theodore W. Leung")

12 Jun 1997 17:02:04 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: QUALCOMM Windows Eudora Pro Version 3.0.2 (32)
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

Thanks to all who replied on the errno.h problem.

I modified the sources and got wget to compile.  When I run the binary,
I get

"Cannot determine user-id."

So I fired up GDB to try to find out where this happens.  GDB gives me
the following spew and stops.  If I set a breakpoint in main, I get pretty
much the same thing.  What am I missing?'

Ted

----------------------------------------------------------------------------

GNU gdb 4.16.1
Copyright 1997 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-cygwin32"...
(gdb) run
Starting program: /tmp/wget-1.4.5/src/wget.exe 
10000000:/bin/gnuwin32/b18/H-i386-cygwin32/bin/cygwin.dll

[failed reading symbols from DLL]
"//D/WINNT/system32/kernel32.dll": error reading line numbers

[failed reading symbols from DLL]
"//D/WINNT/system32/advapi32.dll": error reading line numbers

77e70000://D/WINNT/system32/USER32.dll
77ed0000://D/WINNT/system32/GDI32.dll
77e20000://D/WINNT/system32/RPCRT4.dll
776d0000://D/WINNT/System32/wsock32.dll

[failed reading symbols from DLL]
"//D/WINNT/System32/WS2_32.dll": error reading line numbers

78000000://D/WINNT/system32/MSVCRT.dll

[failed reading symbols from DLL]
"//D/WINNT/System32/WS2HELP.dll": error reading line numbers

77e10000://D/WINNT/System32/rpcltc1.dll

Program exited with code 01.
(gdb) 
______________________________________________________________________________
Ted Leung	[email-masked] or [email-masked]      http://pobox.com/~twl
______________________________________________________________________________

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".